#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os
DIR_PATH = os.path.dirname(os.path.realpath(__file__))

MAIN_SONG = os.path.join(DIR_PATH, 'assets/mainSong.wav')

BRICK_IMG = os.path.join(DIR_PATH,"assets/brique.png")

WALL_SONG = os.path.join(DIR_PATH,'assets/wall.wav')

LINE_SONG = os.path.join(DIR_PATH,'assets/line.wav')

LOOSE_SONG = os.path.join(DIR_PATH,'assets/loose.wav')

LEVEL_UP_SONG = os.path.join(DIR_PATH,'assets/levelup.wav')

SCORE_FILE = os.path.join(DIR_PATH,"score.csv")

ICON_FILE = os.path.join(DIR_PATH,"assets/tetris.ico")

LEVELS = {1 : 360,
          2 : 320,
          3 : 290,
          4 : 250,
          5 : 220,
          6 : 200,
          7 : 190,
          8 : 190,
          9 : 190,
          10: 170,
          11: 170,
          12: 170,
          13: 160,
          14: 160,
          15: 160,
          16: 150,
          17: 150,
          18: 150,
          19: 100,
          20: 100}

SHAPES={}

COLORS = ["red", "green", "blue", "cyan", "yellow", "magenta"]

SHAPES['O']=[
[
    [0, 0, 0, 0],
    [0, 1, 1, 0],
    [0, 1, 1, 0],
    [0, 0, 0, 0]
],

[
    [0, 0, 0, 0],
    [0, 1, 1, 0],
    [0, 1, 1, 0],
    [0, 0, 0, 0]
],

[
    [0, 0, 0, 0],
    [0, 1, 1, 0],
    [0, 1, 1, 0],
    [0, 0, 0, 0]
],

[
    [0, 0, 0, 0],
    [0, 1, 1, 0],
    [0, 1, 1, 0],
    [0, 0, 0, 0]
]]

SHAPES['I']=[
[
    [0, 0, 0, 0],
    [1, 1, 1, 1],
    [0, 0, 0, 0],
    [0, 0, 0, 0]
],

[
    [0, 0, 1, 0],
    [0, 0, 1, 0],
    [0, 0, 1, 0],
    [0, 0, 1, 0]
],

[
    [0, 0, 0, 0],
    [1, 1, 1, 1],
    [0, 0, 0, 0],
    [0, 0, 0, 0]
],

[
    [0, 0, 1, 0],
    [0, 0, 1, 0],
    [0, 0, 1, 0],
    [0, 0, 1, 0]
]]

SHAPES['S']=[
[
    [0, 0, 0, 0],
    [0, 0, 1, 1],
    [0, 1, 1, 0],
    [0, 0, 0, 0]
],

[
    [0, 0, 1, 0],
    [0, 0, 1, 1],
    [0, 0, 0, 1],
    [0, 0, 0, 0]
],

[
    [0, 0, 0, 0],
    [0, 0, 1, 1],
    [0, 1, 1, 0],
    [0, 0, 0, 0]
],

[
    [0, 0, 1, 0],
    [0, 0, 1, 1],
    [0, 0, 0, 1],
    [0, 0, 0, 0]
]]

SHAPES['Z']=[
[
    [0, 0, 0, 0],
    [0, 1, 1, 0],
    [0, 0, 1, 1],
    [0, 0, 0, 0]
],

[
    [0, 0, 0, 1],
    [0, 0, 1, 1],
    [0, 0, 1, 0],
    [0, 0, 0, 0]
],

[
    [0, 0, 0, 0],
    [0, 1, 1, 0],
    [0, 0, 1, 1],
    [0, 0, 0, 0]
],

[
    [0, 0, 0, 1],
    [0, 0, 1, 1],
    [0, 0, 1, 0],
    [0, 0, 0, 0]
]]

SHAPES['L']=[
[
    [0, 0, 0, 0],
    [0, 1, 1, 1],
    [0, 1, 0, 0],
    [0, 0, 0, 0]
],

[
    [0, 0, 1, 0],
    [0, 0, 1, 0],
    [0, 0, 1, 1],
    [0, 0, 0, 0]
],

[
    [0, 0, 0, 1],
    [0, 1, 1, 1],
    [0, 0, 0, 0],
    [0, 0, 0, 0]
],

[
    [0, 1, 1, 0],
    [0, 0, 1, 0],
    [0, 0, 1, 0],
    [0, 0, 0, 0]
]]

SHAPES['J']=[
[
    [0, 0, 0, 0],
    [0, 1, 1, 1],
    [0, 0, 0, 1],
    [0, 0, 0, 0]
],

[
    [0, 0, 1, 1],
    [0, 0, 1, 0],
    [0, 0, 1, 0],
    [0, 0, 0, 0]
],

[
    [0, 1, 0, 0],
    [0, 1, 1, 1],
    [0, 0, 0, 0],
    [0, 0, 0, 0]
],

[
    [0, 0, 1, 0],
    [0, 0, 1, 0],
    [0, 1, 1, 0],
    [0, 0, 0, 0]
]]

SHAPES['T']=[
[
    [0, 0, 0, 0],
    [0, 1, 1, 1],
    [0, 0, 1, 0],
    [0, 0, 0, 0]
],

[
    [0, 0, 1, 0],
    [0, 0, 1, 1],
    [0, 0, 1, 0],
    [0, 0, 0, 0]
],

[
    [0, 0, 1, 0],
    [0, 1, 1, 1],
    [0, 0, 0, 0],
    [0, 0, 0, 0]
],

[
    [0, 0, 1, 0],
    [0, 1, 1, 0],
    [0, 0, 1, 0],
    [0, 0, 0, 0]
]]
